Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class SecurityAlertTypeCode

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.SecurityAlertTypeCode

Direct Known Subclasses:
  SecurityAlertTypeCode.AuditRecordingStarted, SecurityAlertTypeCode.AuditRecordingStopped, SecurityAlertTypeCode.EmergencyOverride, SecurityAlertTypeCode.HardwareConfiguration, SecurityAlertTypeCode.NetworkConfiguration, SecurityAlertTypeCode.NodeAuthentication, SecurityAlertTypeCode.ObjectSecurityAttributedChanged, SecurityAlertTypeCode.SecurityConfiguration, SecurityAlertTypeCode.SecurityRolesChanges, SecurityAlertTypeCode.SoftwareConfiguration, SecurityAlertTypeCode.UseOfRestrictedFunction, SecurityAlertTypeCode.UserSecurityAttributesChanged

    public class SecurityAlertTypeCode

extends CodedValueType

Security Alert Type Code from DICOM Supplement 95

Since:
  OHF 1.0.0
Author:
  Glenn Deen glenn@almaden.ibm.com

Nested Class Summary
`static class` | `SecurityAlertTypeCode.AuditRecordingStarted` "DCM","110134", "Audit Recording Started"
`static class` | `SecurityAlertTypeCode.AuditRecordingStopped` "DCM","110133", "Audit Recording Stopped"
`static class` | `SecurityAlertTypeCode.EmergencyOverride` "DCM","110127", "Emergency Override"
`static class` | `SecurityAlertTypeCode.HardwareConfiguration` "DCM","110130", "Hardware Configuration"
`static class` | `SecurityAlertTypeCode.NetworkConfiguration` "DCM","110128", "Network Configuration"
`static class` | `SecurityAlertTypeCode.NodeAuthentication` "DCM","110126", "Node Authentication"
`static class` | `SecurityAlertTypeCode.ObjectSecurityAttributedChanged` "DCM","110135", "Object Security Attributed Changed"
`static class` | `SecurityAlertTypeCode.SecurityConfiguration` "DCM","110129", "Security Configuration"
`static class` | `SecurityAlertTypeCode.SecurityRolesChanges` "DCM","110136", "Security Roles Changes"
`static class` | `SecurityAlertTypeCode.SoftwareConfiguration` "DCM","110131", "Software Configuration"
`static class` | `SecurityAlertTypeCode.UseOfRestrictedFunction` "DCM","110132", "Use of Restricted Function"
`static class` | `SecurityAlertTypeCode.UserSecurityAttributesChanged` "DCM","110137", "User Security Attributes Changed"

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD